include:
  - project: 'Linaro/lkft/pipelines/common'
    file: '/common.yml'
  - project: 'Linaro/lkft/pipelines/lkft-common'
    file:

variables:
  SKIPGEN_KERNEL_VERSION: $CI_COMMIT_REF_NAME

  SQUAD_REPORT_CONFIG: "https://gitlab.com/Linaro/lkft/pipelines/lkft-common/-/raw/master/squad-report-config.yml"
  QA_TEAM: 'lkft'

  # QA_PROJECT is the unique identifier for a project.
  QA_PROJECT: "ltp-master"

  # QA_PROJECT_NAME is the name connected to the QA_PROJECT identifier.
  QA_PROJECT_NAME: "ltp master"

  RUN_TEST: "1"

build-plan-ltp:
  image: public.ecr.aws/tuxsuite/tuxsuite:latest
  stage: build
  script:
    - ./submit-suite-plan.sh master-plan-ltp.yml
  artifacts:
    paths:
      - inputs.sh
      - build-plan.json
    when: always
  needs:
    - validate_inputs
    - job: download_prerequisites
      artifacts: true
